#!/bin/bash
. config

EXTYPE=log
if [ "$EXNUM" ] ; then
        EXFILE=$EXTYPE.$EXNUM ;
        LOGFILE=$LOGBASE.$EXNUM ;
else
        EXFILE=$EXTYPE ;
        LOGFILE=$LOGBASE ;
fi

# --- Code starts here!!! ---
VMPID=$1 
echo  "- UMLinux finished. Grepping /var/log/messages for markers."

grep "ztrace_marker: pid $VMPID" /var/log/messages > $UMLHOME/logs/$EXFILE.marker

echo  "- Shutting down rlogd process..."
killall -INT rlogd

echo - Shutting down watch process...
killall -INT $VM_UNDO_CLINE

echo "- Starting kupdated again..."
kill -CONT `pidof kupdated`
echo " ...and syncing disks"
sync

echo Removing old map files in /tmp/umlinux/\*$VMPID
rm -rf /tmp/umlinux/*$VMPID

echo Log run finished.
