#ifndef _I386_LOTOL_FDESC_H
#define _I386_LOTOL_FDESC_H

#define FD_LOTOL_MIN	16

#define HD_FIRST_IDE_DRIVE 'a'
#define HD_LAST_IDE_DRIVE 'd'
#define FD_FIRST_DRIVE '0'
#define FD_LAST_DRIVE '1'

#define HD_OFFSET(drive)  (((drive) - HD_FIRST_IDE_DRIVE) * 4)
#define FD_OFFSET(drive)  ((drive) - FD_FIRST_DRIVE)

typedef enum { 
	FD_MEMORY = FD_LOTOL_MIN,
	FD_CONSOLE,

	FD_FD0_MEDIA,
	FD_FD1_MEDIA,

	FD_HDA_MODEL,
	FD_HDA_CONFIG,
	FD_HDA_PCONFIG,
	FD_HDA_MEDIA,  

	FD_HDB_MODEL,
	FD_HDB_CONFIG,
	FD_HDB_PCONFIG,
	FD_HDB_MEDIA,  

	FD_HDC_MODEL,
	FD_HDC_CONFIG,
	FD_HDC_PCONFIG,
	FD_HDC_MEDIA,  

	FD_HDD_MODEL,
	FD_HDD_CONFIG,
	FD_HDD_PCONFIG,
	FD_HDD_MEDIA,  

	FD_ETH0_CONF,
	FD_ETH1_CONF,
	FD_ETH2_CONF,
	FD_ETH3_CONF,
	FD_ETH4_CONF,
	FD_ETH5_CONF,
	FD_ETH6_CONF,
	FD_ETH7_CONF,
	FD_ETH8_CONF,
	FD_ETH9_CONF,
	FD_ETH10_CONF,
	FD_ETH11_CONF,
	FD_ETH12_CONF,
	FD_ETH13_CONF,
	FD_ETH14_CONF,
	FD_ETH15_CONF,

	FD_ETH0,
	FD_ETH1,
	FD_ETH2,
	FD_ETH3,
	FD_ETH4,
	FD_ETH5,
	FD_ETH6,
	FD_ETH7,
	FD_ETH8,
	FD_ETH9,
	FD_ETH10,
	FD_ETH11,
	FD_ETH12,
	FD_ETH13,
	FD_ETH14,
	FD_ETH15,

	FD_TAP
} sysfd_t;

#define FD_MEMORY FD_LOTOL_MIN	/* needed for inline asm code in lilo.c */

#endif /* _I386_FDESC_H */
