#ifndef _LINUX_ASSERT_H
#define _LINUX_ASSERT_H

#ifdef  NDEBUG
# define assert(expr)           ((void) 0)
#else

#include <linux/kernel.h>

#define assert(expr)	\
	if (! (expr)) panic("%s:%d: %s: %s failed\n", __FILE__, __LINE__, __PRETTY_FUNCTION__, #expr)
#endif

#endif /* _LINUX_ASSERT_H */
