#!/bin/bash
. config

EXTYPE=log
if [ "$EXNUM" ] ; then
        EXFILE=$EXTYPE.$EXNUM ;
        LOGFILE=$LOGBASE.$EXNUM ;
else
        EXFILE=$EXTYPE ;
        LOGFILE=$LOGBASE ;
fi

# --- Code starts here!!! ---
echo Starting log run

#echo  "- Stopping kupdated..."
#kill -STOP `pidof kupdated`
#echo " ...and syncing disks"
#sync

echo  "- Starting rlogd, sending to $LOGFILE"
echo $VM_RLOGD $LOGFILE
$VM_RLOGD $LOGFILE &

if [ "$WRAW"=="yes" ] ; then
	echo - Watching hda
	cp $UMLHOME/logs/undo $UMLHOME/logs/undo.bak
	$VM_UNDO $UMLHOME/logs/undo $UMLHOME/$NODE/hda/media &
fi

#echo  - Starting fakeumlfront, piping to $EXFILE.log
cd $UMLHOME/$NODE
#echo $FAKEFRONT $VM_LOG '>' $UMLHOME/logs/$EXFILE.con
echo Canged dir to $PWD
echo About to execute "$VM_LOG > $UMLHOME/logs/$EXFILE.con &"
$VM_LOG > $UMLHOME/logs/$EXFILE.con &

while [ -z "$VMPID" ] ; do
	VMPID=`pidof lilo` ;
done

echo  - Setting up net forwarding $VMIP
cd $UMLHOME
sleep 15
$NET_RUN &

RLOGDPID=`pidof rlogd`
LOGPID=`pidof log`

echo rlogd $RLOGDPID
echo logpid $LOGPID
echo vmpid $VMPID

# We have to wait for logpid, because vmpid "isn't a process of this shell"
echo  - Waiting for log parent to shut down
wait $LOGPID

echo  "- UMLinux finished. Grepping /var/log/messages for markers."

grep "ztrace_marker: pid $VMPID" /var/log/messages > $UMLHOME/logs/$EXFILE.marker

echo  "- Shutting down rlogd process..."
kill -INT $RLOGDPID
wait $RLOGDPID
echo  "- rlogd shut down."

if [ "$WRAW"=="yes" ] ; then
	echo - Shutting down watch process...
	kill -INT `pidof $VM_UNDO_CMD`
fi

echo Removing old map files in /tmp/umlinux/\*$VMPID
rm -rf /tmp/umlinux/*$VMPID

#echo "- Starting kupdated again..."
#kill -CONT `pidof kupdated`
#echo " ...and syncing disks"
#sync

echo Log run finished.
