#!/bin/bash
. config

if [ "$WRAW"=="yes" ] ; then
	echo Using wraw devices
	RAWCMD="$UMLHOME/bin/wraw";
	RAWPRE='/dev/wraw/wraw';
elif [ "$RAW"=="yes" ] ; then
	echo Using raw devices
	RAWCMD='raw'
	RAWPRE='/dev/raw/raw';
fi

if [ -z "`lsmod | grep umlinux`" ] ; then
	echo insmod umlinux
	insmod umlinux
else
	echo umlinux alredy installed
fi

for I in $RAWDISKS ; do
	if [ -z "`$RAWCMD -qa | grep raw$I`" ] ; then
		echo $RAWCMD $RAWPRE$I /dev/hda$I
		$RAWCMD $RAWPRE$I /dev/hda$I
	else
		echo raw$I configured
	fi
done
